Skip to main content
`Ctrl`+`K`

# DMShellSetCoarsen

Set the routine used to coarsen the `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCoarsen(DM dm, PetscErrorCode (*coarsen)(DM, MPI_Comm, DM *))

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- coarsen - the routine that coarsens the `DM`

## See Also

`DM`, `DMSHELL`, `DMShellSetRefine()`, `DMCoarsen()`, `DMShellGetCoarsen()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

## Examples

src/ksp/ksp/tutorials/ex65.c
src/ksp/ksp/tutorials/ex73.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages